/*
Author :  AA-Team - http://themeforest.net/user/AA-Team
*/

// Initialization and events code for the app
cb_frontend = (function ($) {
    "use strict";

    
    // init function, autoload
    (function init() {
        if ( typeof ( cb_custom_css_selector ) != 'undefined' ) {
            $( cb_custom_css_selector['selector'] ).empty();

            var current_theme = cb_custom_css_selector['current_theme'],
                breadcrumbs_array = cb_custom_css_selector['breadcrumbs_array'],
                selector =  cb_custom_css_selector['selector'],
                wooselector = cb_custom_css_selector['woo_selector'];

            breadcrumbs_array = $(breadcrumbs_array);

            $(selector).replaceWith( $(breadcrumbs_array) );
            $(wooselector).replaceWith( $(breadcrumbs_array) );
            
        }


        // load the triggers
        $(document).ready(function(){

            // show a notice if breadcrumbs not appearing
            if( ( $( 'body' ).hasClass('single-product') || $( 'body' ).hasClass('single-post') ) && $('.cb-breadcrumbs').length == 0 && typeof ( cb_custom_css_selector ) != 'undefined' && typeof ( cb_css_picker_utils ) != 'undefined' ) {
                $( 'body' ).append( addPickerHtml() );

                $( '.cb-css-picker-container' ).css('top', '200px');
                $( '.cb-css-picker-container' ).css('left', '100px');
            }


        });

        function addPickerHtml() {
            var html = [];

            html.push( '<div class="cb-css-picker-container">' );
            html.push(      '<div class="cb-css-picker-initial-message">' );
            html.push(          'Seems like the custom breadcrumbs are not appearing. Try setting the CSS selector again or erase it. <a href="' + cb_css_picker_utils.cb_settings_url + '">Click!</a><br />' );
            html.push(          'Trouble setting it up? Open a ticket <a href="https://support.aa-team.com/"> here</a>.' );
            html.push(      '</div>' );
            html.push( '</div>' );


            html = html.join('');

            return html;
        }


    })();
    
    

   
})(jQuery);